#
# spec file for package python-azure-graphrbac
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-graphrbac
Version:        0.40.0
Release:        lp151.2.3.1
Summary:        Microsoft Azure Graph RBAC Client Library
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-graphrbac/azure-graphrbac-%{version}.zip
Source1:        LICENSE.txt
Patch1:         ag_drop-compatible-releases-operator.patch
BuildRequires:  %{python_module azure-nspkg}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-common < 2.0.0
Requires:       python-azure-common >= 1.1
Requires:       python-azure-nspkg
Requires:       python-msrestazure < 2.0.0
Requires:       python-msrestazure >= 0.4.20
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure Graph RBAC Client Library.

Azure Resource Manager (ARM) is the next generation of management APIs that
replace the old Azure Service Management (ASM).

This package has been tested with Python 2.7, 3.4, 3.5 and 3.6.

%prep
%setup -q -n azure-graphrbac-%{version}
%patch1 -p1

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-graphrbac-%{version}
%python_build

%install
%python_install
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc HISTORY.rst README.rst
%license LICENSE.txt
%{python_sitelib}/azure/graphrbac
%{python_sitelib}/azure_graphrbac-*.egg-info

%changelog
* Mon Mar 23 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update in SLE-15 (bsc#1140565, jsc#ECO-1257, jsc#PM-1598)
* Tue Mar  6 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.40.0
- Move LICENSE.txt from %%doc to %%license section
- Refresh patches for new version
- Update Requires from setup.py
- Update %%description from setup.py
- Add patch ag_drop-compatible-releases-operator.patch
- Drop patch ag_drop-compatible-releases-operaror.patch
* Wed Jan 17 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.33.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Install HISTORY.rst into doc directory
* Wed Oct  4 2017 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.32.0
- Remove versioning for namespace packages in Requires
- Update Requires from setup.py
- Add namespace packages to BuildRequires
- Remove namespace files in %%install target
- Explicitly specify Python files of the package in %%files
* Tue Sep 12 2017 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.31.0
- Update Requires from upstream setup.py
  + Bump python-msrestazure Requires to 0.4.11
- Update Summary and Description from upstream
- Update patch to drop compatible releases operator from setup.py
  + ag_drop-compatible-releases-operator.patch
* Thu Jul 13 2017 adrian.glaubitz@suse.com
- Add python-azure-nspkg to Requires
* Tue Jun 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 0.30.0
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + ag_drop-compatible-releases-operaror.patch
